Bug 117920 - "acl" mount option is not documented in mount man page.
"acl" mount option is not documented in mount man page.
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mount (Show other bugs)
3.0
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-09 19:18 EST by Björn Augustsson
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-02 16:19:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Björn Augustsson 2004-03-09 19:18:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1)
Gecko/20030225

Description of problem:
The man page for mount doesn't document the "acl" mount option for
ext2/3 (and maybe others?), even though it mentions a vast amount of
other options. The tune2fs man page does mention it as a mount option.

I tried to setfacl a file and it failed with "Operation not supported". 

I guessed from reading the tune2fs man page that "mount -o remount -o
acl $FILESYSTEM" would fix things, and it did, but this should have
been in the mount man page. Probably in the setfacl man page as well. 

/August.

Version-Release number of selected component (if applicable):
mount-2.11y-31.1

How reproducible:
Always

Steps to Reproduce:
1. man mount | grep -i acl
2. 
3. 

    

Actual Results:  no output.

Expected Results:  acls should have been mentioned.

Additional info:
Comment 1 Elliot Lee 2004-12-02 16:19:23 EST
Fixed in the devel branch.

Note You need to log in before you can comment on or make changes to this bug.